#include "stdafx.h"

#include "xtr/mfcMessageManager.h"

#include "afxwin.h"

namespace xtr {

uint32_t mfcMessageManager::ShowMessage(const CString text, const uint32_t type) {
  return static_cast<uint32_t>(::AfxMessageBox(text, static_cast<UINT>(type)));
}

uint32_t mfcMessageManager::ShowMessage(uint32_t messageID, const uint32_t type) {
  return static_cast<uint32_t>(::AfxMessageBox(static_cast<UINT>(messageID), static_cast<UINT>(type)));
}


} // namespace xtr